VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR:
[legend]

## Public Member Functions

| operator VkDisplayModeProperties2KHR const & () const
| operator VkDisplayModeProperties2KHR & ()
bool | operator== (DisplayModeProperties2KHR const &rhs) const
bool | operator!= (DisplayModeProperties2KHR const &rhs) const

## Data Fields

void * | pNext = nullptr
DisplayModePropertiesKHR | displayModeProperties

## Private Attributes

StructureType | sType = StructureType::eDisplayModeProperties2KHR

## Detailed Description

Definition at line 15690 of file vulkan.hpp.

## Member Function Documentation

## operator VkDisplayModeProperties2KHR &()

VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::operator VkDisplayModeProperties2KHR & | ( |  | ) |

inline

Definition at line 15697 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayModeProperties2KHR*>(this);
}

## operator VkDisplayModeProperties2KHR const &()

VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::operator VkDisplayModeProperties2KHR const & | ( |  | ) | const

inline

Definition at line 15692 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayModeProperties2KHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::operator!= | ( | DisplayModeProperties2KHR const & | rhs | ) | const

inline

Definition at line 15709 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::operator== | ( | DisplayModeProperties2KHR const & | rhs | ) | const

inline

Definition at line 15702 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( displayModeProperties == rhs.displayModeProperties );
}

References displayModeProperties, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## displayModeProperties

DisplayModePropertiesKHR VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::displayModeProperties

Definition at line 15719 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::pNext = nullptr

Definition at line 15718 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::sType = StructureType::eDisplayModeProperties2KHR

private

Definition at line 15715 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::operator==
bool operator==(DisplayModeProperties2KHR const &rhs) const
Definition: vulkan.hpp:15702
VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::sType
StructureType sType
Definition: vulkan.hpp:15715
VkDisplayModeProperties2KHR
Definition: vulkan_core.h:5832
VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::pNext
void * pNext
Definition: vulkan.hpp:15718
VULKAN_HPP_NAMESPACE::DisplayModeProperties2KHR::displayModeProperties
DisplayModePropertiesKHR displayModeProperties
Definition: vulkan.hpp:15719